#include "rclcpp/rclcpp.hpp"

#include "geometry_msgs/msg/pose.hpp"

#include <string>

class ActionServer : public rclcpp::Node {
    public:
        ActionServer();

    private:
        void set_pose_cb(geometry_msgs::msg::Pose);

    private:
        rclcpp::Node::SharedPtr _move_group_node;

        rclcpp::Subscription<geometry_msgs::msg::Pose> _goal;

        const std::string PLANNING_GROUP = "ar3_arm";
};
